
#ifndef	__RAM_FUNCTIONS_C
#define __RAM_FUNCTIONS_C

#include "..\inc\OPORA\opora.h"
#include "..\inc\RAM\RamFunctions.h"

//     0  0x3FFFF  
// address - ,       
//			inv -       
//  
void WriteDataToRAM(uint32_t address, uint32_t inv)
{
	uint32_t*	ptr;
	uint32_t	tmp;
	
	ptr=(uint32_t*)address;

	PORTE->CLRTX=0x40;

	if(!inv)
		for(tmp=0;tmp<0x40000;tmp++)	*ptr++ =tmp;
	else
		for(tmp=0;tmp<0x40000;tmp++)	*ptr++ =(~tmp);
				
	PORTE->SETTX=0x40;
}

//      
// address - ,       
//			inv -       
// :	0 -      
//							1 -       
uint32_t TestData(uint32_t address, uint32_t inv)
{
	uint32_t *ptr, tmp, data, res;
	
	ptr=(uint32_t*)address;

	PORTE->CLRTX=0x40;
	res=1;
		
	if(!inv)
	{
		for(tmp=0;tmp<0x40000;tmp++)
		{
			data=*ptr++;
			if(data!=tmp)
			{
				res=0;
				break;
			}
		}
	}
	else
	{
		for(tmp=0;tmp<0x40000;tmp++)
		{
			data=*ptr++;
			if(data!=(~tmp))
			{
				res=0;
				break;
			}
		}
	}

	PORTE->SETTX=0x40;
	return res;
}


#endif	//__RAM_FUNCTIONS_C

