
#ifndef __MENU_H
#define __MENU_H

#include <stdint.h>

#define	MENU_LEVEL	10		//   
#define	SUB_MENU	7		//     

typedef struct
{
	uint8_t* MenuName;					// 
	uint32_t MenuLevel;					//  (0 -    . .)
	uint32_t NumberOfSubMenu;			// 
	uint32_t CurrentAssignSubMenu;		//   (0 -     , 1 -     ..)
	uint32_t BottomMenu;				//   (   ), 1 -  , 0 -  .
	uint32_t ParentMenu;				// ,      
	uint8_t* SubMenuName[SUB_MENU];		//  1
} _Menu;

uint32_t strlen(uint8_t*);

void DrawMenu(_Menu*);
void DrawFunction(_Menu*);

#endif	//__MENU_H
