
#ifndef	__KEYBOARD_C
#define __KEYBOARD_C

/*
**         EVAL22.0B
*/

#include "opora.h"
#include "keyboard.h"

//---       ---
void KeysInit()
{
	PORTE->FUNC &= 0x3F00F3FF;//0xFFFFF000;
	PORTE->OE &= 0x70DF;
	PORTE->ANALOG |= 0x8F20;
	PORTE->PWR |= 0x40550400;
}

//---     
//---    
//---    ,    NOPRESS (  )
_Key PressKey()
{
	switch(PORTE->RXTX&NOPRESS)
	{
		case BOTTOM: return BOTTOM;
		case RIGHT:	 return RIGHT;
		case TOP:	 return TOP;
		case LEFT:	 return LEFT;
		case SELECT: return SELECT;
		case BACK:	 return BACK;
		default:	 return NOPRESS;
	}
}

//---      Key
void WaitUntilPress(_Key Key)
{
	uint32_t tmp;
	while((PORTE->RXTX&NOPRESS)==Key);
	for(tmp=0;tmp<10000;tmp++);
}

//---     Key
void WaitUntilNotPress(_Key Key)
{
	while((PORTE->RXTX&NOPRESS)!=Key);
}

#endif	//__KEYBOARD_C
